Foros del Web » Administración de Sistemas » LAMP »

Error tras instalar nueva version de WAMP

Estas en el tema de Error tras instalar nueva version de WAMP en el foro de LAMP en Foros del Web. Después de haber formateado el PC, instalé la última versión de WAMPSERVER. Al acceder en localhost a una página mia en PHP que imprime datos ...
  #1 (permalink)  
Antiguo 06/02/2011, 12:39
Avatar de Gambinoh  
Fecha de Ingreso: diciembre-2010
Mensajes: 348
Antigüedad: 7 años
Puntos: 11
Error tras instalar nueva version de WAMP

Después de haber formateado el PC, instalé la última versión de WAMPSERVER. Al acceder en localhost a una página mia en PHP que imprime datos de una tabla, en lugar de imprimirse los resultados me aparece esto:

Cita:
Warning: mysql_fetch_assoc() expects parameter 1 to be resource, boolean given in C:\wamp\www\pagina.php on line 86
Antes cuando tenía instalado la anterior versión de WAMPSERVER (no recuerdo que versión exacta de php usaba) todo se imprimía bien y las consultas a la base de datos se realizaban con éxito. Así que entiendo que el problema debería de estar en la versión de PHP que usa este WAMPSERVER.

Otra posibilidad es que yo, desde phpMyAdmin exporté toda la base de datos a un archivo .SQL y luego tras haber instalado la nueva versión de WAMPSERVER arranque phpMyAdmin desde ahí e importe el archivo SQL.


¿Alguien sabe a qué puede deberse?
  #2 (permalink)  
Antiguo 06/02/2011, 12:47
Avatar de Patriarka  
Fecha de Ingreso: enero-2011
Ubicación: Moreno, Buenos Aires, Argentina
Mensajes: 2.851
Antigüedad: 6 años, 10 meses
Puntos: 288
Respuesta: Error tras instalar nueva version de WAMP

mostranos el codigo donde haces la query
  #3 (permalink)  
Antiguo 06/02/2011, 17:04
Avatar de GatorV
$this->role('moderador');
 
Fecha de Ingreso: mayo-2006
Ubicación: /home/ams/
Mensajes: 38.567
Antigüedad: 11 años, 6 meses
Puntos: 2122
Tema movido desde PHP a Paquetes tipo LAMP
  #4 (permalink)  
Antiguo 08/02/2011, 09:05
Avatar de Gambinoh  
Fecha de Ingreso: diciembre-2010
Mensajes: 348
Antigüedad: 7 años
Puntos: 11
Respuesta: Error tras instalar nueva version de WAMP

Vale creo que el problema era la contraseña. Ahora lo arreglo y confirmo.

No sabía de la existencia de este sub-foro "Paquetes tipo LAMP" en fin, cosas que voy aprendiendo.

[Edito]

Vale confirmado, tras instalar XAMPP en lugar de WAMP (en Windows), al configurar las contraseñas según los consejos de seguridad de XAMPP, caí en la cuenta de que se trataba de eso. Ahora todo funciona bién.

Por alguna razón pensé que si la contraseña para el root de MySQL estaba vacía por defecto, eso significaba que mi archivo de conexión con la password anterior no debería de entrar en conflicto a la hora de conectarse.

Última edición por Gambinoh; 08/02/2011 a las 12:32

Etiquetas: tras, wamp
Atención: Estás leyendo un tema que no tiene actividad desde hace más de 6 MESES, te recomendamos abrir un Nuevo tema en lugar de responder al actual.
Respuesta




La zona horaria es GMT -6. Ahora son las 11:34.